> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Create a Face Biometric for a user

`POST /api/web/v1/users/{userid}/face`

Create a Face for the specified user. Caller requires the FACE:ADD permission.

> Deprecated

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| userid | path | Yes | string |  |

## Request Body

Required.

### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "applicantId": {
      "type": "string",
      "description": "The Onfido applicant UUID. Used to link the Face Biometric to the correct applicant. Applicable for server stored biometric web flows."
    },
    "deliverActivationEmail": {
      "type": "boolean",
      "description": "If set to true, an activation email will be sent to the user. Applicable only for mobile flows."
    },
    "encryptedBiometricToken": {
      "required": [
        "customerUserId",
        "encryptedBiometricToken"
      ],
      "type": "object",
      "properties": {
        "customerUserId": {
          "type": "string",
          "description": "Unique identifier for the user. Used to associate the encrypted biometric token with a specific user in Onfido."
        },
        "encryptedBiometricToken": {
          "type": "string",
          "description": "Base64-encoded string containing the encrypted biometric token generated by Onfido after successful user verification."
        }
      },
      "description": "Face Biometric EBT information for a user.",
      "title": "FaceEncryptedToken"
    },
    "returnQRCode": {
      "type": "boolean",
      "description": "If set to true, the response will include a QR code for activation. Applicable only for mobile flows."
    },
    "workflowRunId": {
      "type": "string",
      "description": "The Onfido workflow run UUID. Used to link the Face Biometric to the correct workflow run. Applicable for server stored biometric web flows."
    }
  },
  "description": "Face Biometric Parameters for a user.",
  "title": "FaceCreateParms"
}
```

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "applicantId": {
      "type": "string",
      "description": "The ID of the applicant in Onfido."
    },
    "created": {
      "type": "string",
      "description": "Date the authenticator was created.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "expiry": {
      "type": "string",
      "description": "Date the authenticator will expire.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "id": {
      "type": "string",
      "description": "The ID of the Face Biometric."
    },
    "lastUsed": {
      "type": "string",
      "description": "Date the authenticator was last used.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "mobile": {
      "type": "boolean",
      "description": "If the authenticator was registered on mobile."
    },
    "platform": {
      "type": "string",
      "description": "The mobile device platform on which a Face Biometric was registered."
    },
    "serialNumber": {
      "type": "string",
      "description": "The serial number of the Face Biometric."
    },
    "status": {
      "type": "string",
      "description": "The status of the authenticator.",
      "enum": [
        "ACTIVATING",
        "ACTIVE",
        "FAILED",
        "EXPIRED",
        "REVIEW",
        "DISABLED",
        "NEW"
      ]
    }
  },
  "description": "Face Biometric information stored for a user.",
  "title": "FaceAuthenticator"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "FACE:ADD"
    ]
  }
]
```
